
#srcdir = c:\home\rjmcnab\humanity\gdbm
srcdir = d:\gsdl\packages\wingdbm
VPATH = $(srcdir)

AR = lib
CC = cl
#CFLAGS = -g -O
CPPFLAGS =
DEFS = -DHAVE_CONFIG_H -D__WIN32__ -D_LITTLE_ENDIAN
LDFLAGS =

COMPILE = $(CC) -c $(CPPFLAGS) $(DEFS) -I. -I$(srcdir) $(CFLAGS)
LINK = $(CC) $(LDFLAGS)

o = .obj

.SUFFIXES:
.SUFFIXES: .c $o

.c$o:
	$(COMPILE) $<


PROGS = gdbm.lib testgdbm.exe

GDBM_CF = gdbmopen.c gdbmdelete.c gdbmfetch.c  gdbmstore.c gdbmclose.c \
	gdbmreorg.c gdbmseq.c gdbmsync.c gdbmerrno.c gdbmexists.c gdbmsetopt.c \
	bucket.c falloc.c findkey.c global.c hash.c update.c \
	version.c alloca.c

TEST_CF = testgdbm.c

GDBM_OF = gdbmopen$o gdbmdelete$o gdbmfetch$o  gdbmstore$o gdbmclose$o \
	gdbmreorg$o gdbmseq$o gdbmsync$o gdbmerrno$o gdbmexists$o gdbmsetopt$o \
	bucket$o falloc$o findkey$o global$o hash$o update$o \
	version$o alloca$o
     
SRCS = $(GDBM_CF) $(TEST_CF)

OBJS = $(GDBM_OF)

HDRS = gdbmdefs.h extern.h gdbmerrno.h systems.h gdbmconst.h \
	proto.h

all: gdbm.lib

progs: $(PROGS)

gdbm.lib: $(OBJS) gdbm.h
	del gdbm.lib
	$(AR) /out:gdbm.lib $(OBJS) 

testgdbm.exe: testgdbm$o gdbm.lib
	$(LINK) /Fe"testgdbm.exe" testgdbm$o gdbm.lib


clean:
	rm -f $(PROGS) *$o core junk*


# gdbm files
gdbmclose$o:	autoconf.h gdbmdefs.h 
gdbmdelete$o:	autoconf.h gdbmdefs.h gdbmerrno.h 
gdbmfetch$o:	autoconf.h gdbmdefs.h gdbmerrno.h 
gdbmopen$o:	autoconf.h gdbmdefs.h gdbmerrno.h 
gdbmreorg$o:	autoconf.h gdbmdefs.h gdbmerrno.h extern.h
gdbmseq$o:	autoconf.h gdbmdefs.h 
gdbmstore$o:	autoconf.h gdbmdefs.h gdbmerrno.h 

# gdbm support files
bucket$o:	autoconf.h gdbmdefs.h
falloc$o:	autoconf.h gdbmdefs.h
alloca$o:	autoconf.h gdbmdefs.h
findkey$o:	autoconf.h gdbmdefs.h
global$o:	autoconf.h gdbmdefs.h gdbmerrno.h 
hash$o:		autoconf.h gdbmdefs.h
update$o:	autoconf.h gdbmdefs.h
version$o:
extern.h:
gdbmdefs.h:	gdbmconst.h systems.h
	touch gdbmdefs.h

# other programs
testgdbm$o:	autoconf.h gdbmdefs.h extern.h gdbmerrno.h systems.h
testdbm$o:	autoconf.h
testndbm$o:	autoconf.h ndbm.h
tdbm$o:		autoconf.h
conv2gdbm$o:	autoconf.h gdbm.h
